GARMIN STREETPILOT 2820

To correctly manage the connection via Bluetooth® with the JustSpeak system, the Garmin StreetPilot 2820 navigator must be updated with the software version 3.30 or higher. If the software is not updated it is possible to download the latest version from the Garmin website (http://www.garmin.com/support/download_details.jsp?id=1665)

CAUTION: If the software version 4.00 is installed on the navigator it is necessary to update it with the following version (4.10)

Follow the instructions for use of the navigator to connect with helmet.